Start TOTP enrolment
POST
/api/v1/auth/totp/enroll
const url = 'https://example.com/api/v1/auth/totp/enroll';const options = {method: 'POST', headers: {cookie: 'encore_session=<encore_session>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/auth/totp/enroll \ --cookie encore_session=<encore_session>Returns a new secret to add to an authenticator app; it takes effect once confirmed.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
Media typeapplication/json
object
otpauth_url
required
Otpauth:// URL, for a QR code
string
secret
required
string
Example generated
{ "otpauth_url": "example", "secret": "example"}default
Section titled “default”Error
Media typeapplication/problem+json
object
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}